﻿Shader "Custom/TestShader" {
    Properties {
            _Color ("Color", Color) = (1,1,1,1)
            _Emissive ("Emissive", Color) = (0,0,0,1)
        _Specular ("Specular", Color) = (1,1,1,1)
        _Shininess ("Shininess", Range (0.0, 1.0)) = 0.1
    }
    SubShader {
        Tags { "Queue" = "Geometry" }
        Pass
        {
            CGPROGRAM

            #pragma target 3.0

            #pragma vertex mainVS
            #pragma fragment mainPS

            void mainVS(float4 position : POSITION,
                        out float4 hPos : SV_Position)
            {
                hPos = mul(UNITY_MATRIX_MVP, position);
            }

            float4 mainPS():SV_Target
            {
                return float4(1,1,1,1);
            }

            ENDCG
        }
    }
    FallBack "Diffuse"
}
